Bug 614599 - add ability to filter by plugin name to AlertCriteria and MeasurementDefinitionCriteria
Summary: add ability to filter by plugin name to AlertCriteria and MeasurementDefiniti...
Status: CLOSED NEXTRELEASE
Alias: None
Product: RHQ Project
Classification: Other
Component: Core Server   
(Show other bugs)
Version: 1.3.1
Hardware: All
OS: All
low
low vote
Target Milestone: GA
: RHQ 4.12
Assignee: Jay Shaughnessy
QA Contact: Mike Foley
URL:
Whiteboard:
Keywords:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2010-07-14 20:34 UTC by Ian Springer
Modified: 2018-10-27 16:14 UTC (History)
3 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2014-06-02 19:25:52 UTC
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

Description Ian Springer 2010-07-14 20:34:14 UTC
Thee criteria classes both provide ability to filter by resource type name. They need to complement that with the ability to filter by plugin name, otherwise it will not be possible to lookup a resource type that is defined in other plugins with the same name (e.g. the "JBossAS Server" restype from the JBossAS plugin). 

Note, the workaround is to first lookup the desired resource type using ResourceTypeManager.getResourceTypeByNameAndPlugin() and then filter by that resource type's id (rather than name) in the AlertCriteria or MeasurementDefinitionCriteria.

Comment 5 Jay Shaughnessy 2014-06-02 19:25:52 UTC
Still totally true, Adding this for the next release (4.12).


Note You need to log in before you can comment on or make changes to this bug.